apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    ingress.kubernetes.io/ssl-redirect: "true"
  name: restserver
  namespace: docspell
spec:
  rules:
  - host: docs.tobru.ch
    http:
      paths:
      - path: /
        backend:
          service:
            name: restserver
            port:
              number: 7880
        pathType: Exact
  tls:
  - hosts:
    - docs.tobru.ch
    secretName: docs-tobru-ch-cert

